FROM caddy:2-builder AS builder
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

RUN xcaddy build \
    --with github.com/caddyserver/transform-encoder \
    --with github.com/caddy-dns/lego-deprecated

FROM caddy:2
COPY --from=builder /usr/bin/caddy /usr/bin/caddy

COPY common /caddycommon
